# Policy_Forward.pidl File Reference

Pre-compiled IDL source to forward declare some critical Policy-related types. More...

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | CORBA

## Typedefs

typedef sequence< Policy > | PolicyList
typedef sequence< PolicyType > | PolicyTypeSeq

## Enumerations

enum | SetOverrideType { SET_OVERRIDE, ADD_OVERRIDE }

## Detailed Description

Pre-compiled IDL source to forward declare some critical Policy-related types.

Id
  Policy_Forward.pidl,v 1.10 2005/04/12 08:32:43 jwillemsen Exp

This file is used to generate the code in Policy_ForwardC.{h,cpp}.

The steps to regenerate the code are as follows:

1. Run the tao_idl compiler on the patched pidl file. The command used for this is:

tao_idl.exe -o orig -Ge 1 -GA -Sc -SS -Sci -Wb,export_macro="tao/TAO_Export" -Wb,pre_include="ace/pre.h" -Wb,post_include="ace/post.h" Policy_Forward.pidl

2. Then patch the generated code. This patch (a) eliminates cycles in the include dependencies.

Apply patches using the following commands:

patch < diffs/Policy_Forward.diff

Note: The diffs were generated with these commands:

for i in Policy_ForwardC.{h,cpp}; do diff -wBbu orig/$i $i; done > diffs/Policy_Forward.diff

## Typedef Documentation

typedef sequence<Policy> CORBA::PolicyList

typedef sequence<PolicyType> CORBA::PolicyTypeSeq

## Enumeration Type Documentation

enum SetOverrideType

Enumeration values:

  SET_OVERRIDE |
  ADD_OVERRIDE |